body {
  margin: auto;
  border: 0.2rem solid #a7db7c;
  background: #e4f4d9;
  border-top: none;
  border-bottom: none;
  background: #f1f2f3;
}

header {
  margin-bottom: 0.2em;
  text-align: center;
  background: #a7db7c;
  overflow: hidden;
}

header img {
  border-radius: 0 0 0.5em 0.5em;
}

footer {
  margin: 0 0.2em;
  padding: 1rem 0;
  text-align: center;
  border-top: 0.1rem solid #a7db7c;
}

footer a {
  color: green;
  text-decoration: none;
}

h2 {
  font-size: 2.2em;
  text-align: center;
  font-weight: bold;
  letter-spacing: 0.02em;
  color: #1b5e20;
}

strong,
.bold {
  font-weight: bold;
}


/*
 * Menu
 */
#menu {
  /* Popotamo classic */
  display: inline-flex;
  justify-content: flex-start;
  height: auto;
  max-width: 45em;
  margin: 1em 0 1em 1em;
  padding: 0.4em 0.5em;
  line-height: normal;
  background: #d8e9c8;
  font-family: Arial, Heveltica, sans-serif;
  font-size: 12px;
  font-weight: bold;
  box-shadow: none;
  border-radius: 0.5em;
}

#menu a {
  margin: auto;
  padding: 0 0.7em;
  color: #166e2c;
}


#homepage,
#newgame {
  padding: 0.5em 1em 0 1em;
}

/*
 * Homepage of the site
 */
#homepage nav {
  height: auto;
  justify-content: flex-end;
  margin: 0 0 1rem 0;
  background: none;
  box-shadow: none;
  border-radius: 0.5em;
}

#homepage nav a {
  border-radius: 0.5em;
}

#homepage h2 {
  margin: 0;
  padding: 0;
  font-weight: normal;
  font-size: 2em;
  letter-spacing: 0.001em;
}

#homepage section {
  display: flex;
  padding: 3em 0;
  border-bottom: 1px solid #166e2c;
  color: #166e2c;
}

#homepage img {
  margin-right: 1em;
}

#homepage h3 {
  margin-top: 0;
  font-size: 1.4em;
}

#homepage p,
#homepage li {
  font-size: 1.1em;
}

#homepage li {
  margin: 1em 0 1em 1em;
  list-style-type: disc;
}

/*
 * Page to launch a new game
 */
#newgame h2 {
  /* Popotamo classic */
  margin-top: 4.2rem;
  margin-bottom: 0;
  padding: 0.1em 0.2em;
  background-color: #c4d29b;
  font-size: 1.4em;
  text-align: left;
  color: #166e2c;
  font-family: Arial, Heveltica, sans-serif;
}

#newgame h3 {
  padding: 0.3em 0.5em;
  font-size: 1.5em;
  background-color: #c8e6c9;
  /* Materialize.css:  */
  color: #166e2c;
  /* Popotamo classic */
  margin-top: 0.5em;
  padding: 0.4em;
  background: #e2e3d5;
  font-size: 1em;
  font-weight: bold;
  font-family: Arial, Heveltica, sans-serif;
}

#newgame form {
  display: grid;
  grid-template-columns: 30% 30%;
  row-gap: 2em;
  column-gap: 2em;
}

#newgame button {
  display: flex;
  justify-content: flex-start;
  width: 15em;
  padding: 0.5em;
  border: none;
  background: none;
  border-radius: 0.5em;
  cursor: pointer;
}

#newgame button:hover {
  background: #c8e6c9;
  /* Materialize.css */
}

#newgame figure {
  margin: 0;
  text-align: left;
}

#newgame figcaption {
  margin-top: 0.5em;
  line-height: 1.5em;
  text-align: left;
  color: #9e9e9e;
}

#newgame label {
  font-size: 1em !important;
}

#currentgames {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

#currentgames .letters {
  padding: 14px 23px 3px 14px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
  /* 8 letters per row */
  grid-template-rows: 1fr 1fr;
  /* 2 rows */
  text-align: center;
  font-size: 13px;
}

#currentgames>a {
  background: url('img/currentgame.gif');
  height: 113px;
  width: 318px;
  color: #000;
  text-decoration: none;
}

#currentgames>a:hover {
  background: url('img/currentgame_hover.gif');
}

#currentgames table {
  height: 113px;
}

#currentgames table>tbody>tr {
  height: 50%;
  border: none;
}

#currentgames table tr {
  height: 20%;
}

#currentgames td {
  padding: 0;
}


/*
 * Page of the game board
 */
#gamepage {
  display: flex;
  align-items: stretch;
  margin-top: 5rem;
  padding: 0 0.2em 1em 0.2em;
}

#leftColumn {
  margin-right: 0.2rem;
}

#rightColumn>div,
#inventory {
  /* All the blocks, except the board */
  margin: 0.1em 0;
  padding: 0.3em;
  border-radius: 0.4em;
  box-sizing: border-box;
  box-shadow: 4px 4px 8px grey;
}


/*
 * Profile grid on the main game page (wisdom, speed, quids...)
 */
#profileInsert {
  width: 18rem;
  margin-right: 0.3rem;
  border-radius: 0.5em;
  color: #424242;
}

#profileInsert td {
  padding: 0.2em 0.5em;
  font-size: 90%;
}

#profileInsert .pseudo {
  font-size: 1.4em;
  font-weight: bold;
  color: black;
}

/*
 * Inventory
 */
#inventoryLine {
  display: flex;
}

#inventoryLine #actionPointsBlock {
  flex-basis: 6rem;
  margin-left: 0.2rem;
  padding: 0 0.5em 0 0;
  border-radius: 0.4em;
  font-size: 1.4em;
  text-align: right;
  background: #ff5722;
  font-weight: bold;
  color: white;
  box-shadow: 4px 4px 8px grey;
}

#inventory {
  height: auto;
  padding: 0;
  flex-shrink: 0;
  flex-grow: 1;
  border: 1px solid green;
  background: #eafaf1;
  display: flex;
}

#rightColumn {
  flex: 1;
  /* To fill the width */
  flex-direction: column;
  justify-content: center;
}

#rightColumn #buttons {
  height: 2em;
  padding: 0;
  box-shadow: none;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-column-gap: 4px;
}

#skills,
#profiles,
#chat {
  background: rgba(11, 83, 69, 0.8);
  color: white;
}

#profiles {
  display: flex;
  flex-direction: column;
}

#profiles .profile {
  display: grid;
  grid-template-columns: 40% 20% 40%;
  padding: 1em 0;
  border-bottom: 1px solid #32645b;
  position: relative;

  .online-status {
    position: absolute;
    top: 5px;
    left: 5px;
    width: 20px;
    height: 20px;
    border-radius: 25%;

    &::before {
      content: "";
      display: block;
      text-align: center;
      line-height: 20px;
    }

    &.unknown {
      background-color: #888;

      &::before {
        content: "?";
      }
    }

    &.pending {
      background-color: #58a0e4;

      &::before {
        content: "…";
      }
    }

    &.active {
      background-color: #166e2c;

      &::before {
        content: "👁";
      }
    }

    &.offline {
      background-color: #f0e552;

      &::before {
        content: "💤";
      }
    }

    &.error {
      background-color: #e65100;

      &::before {
        content: "!";
      }
    }
  }
}

#profiles .profile .score-info {
  text-align: center;
}

#profiles .profile .peek {
  padding-left: 1em;
}

#profiles .profile .username {
  display: flex;
  align-items: center;
}

#profiles .profile .username>p {
  margin: 0;
}

#validateWords,
#buttonDraw {
  height: 30px;
  border-radius: 0.2em;
  ;
  font-size: 1.2em;
  font-variant: small-caps;
  font-weight: bold;
  background: green;
  color: white;
  cursor: pointer;
}

#estimatedScore {
  background-color: #ffab40;
  font-weight: 700;
  color: #FFF;
  text-align: center;
  border-radius: 2px;
  overflow: hidden;
  border-style: solid;
  border-color: rgb(255, 197, 74);
  border-width: 2px;
  height: 30px;
  font-size: 13px;
  line-height: 24px;
  text-shadow: 0 0 2px #2224;
}

#estimatedScore.error {
  background-color: #ff5640;
}

#estimatedScore .switched {
  display: none;
}

#estimatedScore.toggled .normal {
  display: none;
}

#estimatedScore.toggled .switched {
  display: block;
}

/*
 * The skills
 */
#skills .skill,
#poposhop .skill {
  height: 1.8em;
  width: 1.8em;
  font-size: 1.5em;
  margin: 0.2em 0.1em;
  padding: 0;
  background: bisque;
  border: 2px solid grey;
  border-radius: 15%;
  text-align: center;
  cursor: default;
}

#skills .skill {
  cursor: pointer;
}

#poposhop {
  width: 90%;
  margin: auto;
}

#poposhop .skill {
  display: inline-block;
}

#poposhop .description {
  padding: 0 1.5em;
}

#poposhop th {
  padding: 0.1em 0.5em;
  font-size: 1.2em;
  letter-spacing: 0.05em;
  font-weight: bold;
  text-align: left;
}

/*
 * The chat
 */
#chat {
  flex-basis: 60%;
  height: 18em;
  overflow: auto;
}

#chat p {
  margin: 0.5em 0;
}

#chat .date {
  padding: 0 0.3em;
  background: darkgreen;
  color: white;
  border-radius: 0.5em;
  font-size: 0.9em;
}

#chat .word {
  color: #72ff64;
  font-weight: bold;
}

#chat .boardCleaned {
  background: darkorange;
  color: black;
}

#chat .boardCleaned .date {
  background: #a04000;
}

/*
 * The game board (grid)
 */
table {
  border-collapse: collapse;
}

.board-wrapper {
  height: 32rem;
  width: 32rem;
  position: relative;
}

#board {
  table-layout: fixed;
  /* All cells will have equal dimensions */
  height: 32rem;
  width: 32rem;
  margin-top: 0.2em;
  border: 1px solid #4fb700;
  background: #d6f9c1;
  box-shadow: 4px 4px 8px grey;
}

#board ::selection {
  background: none;
}

#board td {
  height: 1.5rem;
  width: 1.5rem;
  padding: 0;
  border: 1px dotted #4fb700;
  text-align: center;
  cursor: pointer;
}

#board td:hover {
  background: lightgreen;
}

#board td::selection {
  background: none;
}

#gameLockedAlert {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  top: .5rem;
  bottom: .5rem;
  left: .5rem;
  right: .5rem;
  background-color: #d8e9c891;
  color: #166e2c;
  border-radius: 0.5em;
  padding: 0.4rem 0.5rem;
}

.letter {
  height: 1.4em;
  width: 1.4em;
  display: inline-block;
  text-align: center;
  font-weight: bold;
  border: 1px solid #2554C7;
  border-radius: 0.2em;
  background: lightblue;
  font-size: 1.2em;
  line-height: 120%;
  cursor: pointer;
}

#inventory .letter,
#board .newletter {
  background: #ffab40;
  border-color: #e65100;
  color: #212121;
}

#inventory .letter {
  height: 100%;
}

#inventory .selected,
#board .selected {
  color: white;
  background: #008000;
  border-color: darkgreen;
}

.centralCell,
#board tr:first-child,
#board tr:last-child,
#board tr td:first-child,
#board tr td:last-child {
  background: #a7db7c;
  /* The first & last cols/rows are in a different color */
}


/*
 * Modifications of Materialize.css
 */
.modal {
  max-width: 32em;
  border-radius: 1em;
}

.modal .text {
  font-size: 1.2em;
}

.btn {
  border-radius: 0.3em;
}

.hidden {
  display: none !important;
}

#chat {
  display: grid;
  grid-template-rows: 1fr 36px;
  overflow: hidden;
}

#chat .history {
  overflow: auto;
}

.chat-form {
  display: flex;
  border-top: 1px solid #9e9e9e;
  align-items: center;
  background: rgba(0, 0, 0, 0.2);
}

.chat-form input {
  border-bottom: none;
  margin: 0;
  height: 32px;
  padding: 2px 4px;
}

/*-----
Icons
-----*/
/* Send */
.icon.send {
  position: relative;
  width: 32px;
  height: 32px;
  display: inline-block;
}

.icon.send:before {
  content: "";
  display: block;
  background: #fff;
  background: linear-gradient(to bottom, #fff, #f0f0f0);
  position: absolute;
  top: 20%;
  height: 60%;
  width: 100%;
  -webkit-clip-path: polygon(10% 0%, 90% 50%, 10% 100%, 20% 55%, 50% 50%, 20% 45%);
  -moz-clip-path: polygon(10% 0%, 90% 50%, 10% 100%, 20% 55%, 50% 50%, 20% 45%);
  clip-path: polygon(10% 0%, 90% 50%, 10% 100%, 20% 55%, 50% 50%, 20% 45%);
  background: rgba(0, 0, 0, 0.3);
  left: 1%;
  top: 21%;
}


/*
 * Responsive design
 */
@media only screen and (min-width:840px) {

  body {
    max-width: 838px;
    /* To fit with the width of the original Popotamo's banner */
  }
}